package com.yizhi.live.application;

import com.yizhi.core.application.security.config.SpringSecurityConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.amqp.RabbitAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.DependsOn;

/**
 * 
 * @author scotthu
 *
 * @date 2018年2月28日
 */

@SpringBootApplication(exclude = {RabbitAutoConfiguration.class})
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.yizhi"})
@ComponentScan(basePackages = {"com.yizhi"})
public class LiveApplication {

	public static void main(java.lang.String[] args) {
		SpringApplication.run(LiveApplication.class, args);
	}
	@Bean

	public SpringSecurityConfig springSecurityConfig(){
		return new SpringSecurityConfig();
	}
}
